Subject: Re: bug#69573: Eager macro-expansion failure: (wrong-type-argument integer-or-marker-p nil)

From: Stefan Monnier <[email-masked]>
Date: Sat, 09 Mar 2024 16:48:22 -0500

> mmmhh, I'm really not sure why calling Qcomp_subr_trampoline_install
> should be problematic.  I'll look at it, but this week I'm on holiday so
> might take a bit more :)

I'm not completely sure either, but the arg of
`comp-subr-trampoline-install` is called `subr-name` whereas the value
we pass there is the symbol that was found to contain that subr but is
*not* the name of the subr (and when that's the case, there's simply no
need to install any trampoline).

So, I'd expect `comp-subr-trampoline-install` to compare its argument
with the actual name of the subr (presumably extracted from the subr),
but I don't see any such test.

        Stefan